Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Weird portage behavior
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
darkscreamer
Tux's lil' helper
Tux's lil' helper


Joined: 14 Oct 2006
Posts: 134
Location: The Pirate State of Napoli

PostPosted: Mon Nov 24, 2008 9:41 am    Post subject: Weird portage behavior Reply with quote

This morning i did

Code:
# emerge --sync && layman -S
# emerge -avuDN world


and i got this:

Quote:
# emerge -avuDN world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild UD] sys-apps/portage-2.1.6_rc1 [2.2_rc15] USE="-build -doc -epydoc (-selinux)" LINGUAS="-pl" 503 kB
*** Portage will stop merging at this point and reload itself,
then resume the merge.
[ebuild U ] net-misc/rsync-3.0.4 [3.0.3] USE="acl iconv -ipv6 -static -xattr -xinetd" 755 kB


Portage downgrade? I double checked my /etc/portage/package.keywords file, and the "sys-apps/portage" line is still there. I even checked if some new package asked for an older portage version but i found nothing wrong.

Quote:
# equery depends portage
[ Searching for packages depending on portage... ]
app-admin/python-updater-0.5 (>=sys-apps/portage-2.1.2)
app-portage/gentoolkit-0.2.4.2 (>=sys-apps/portage-2.1.1_pre1)
dev-java/sun-jdk-1.6.0.10 (>=sys-apps/portage-2.1)
dev-libs/cyrus-sasl-2.1.22-r2 (java? >=sys-apps/portage-2.1.2.7)
dev-util/subversion-1.5.4 (java? >=sys-apps/portage-2.1.2.7)
kde-base/kdelibs-3.5.9-r4 (>=sys-apps/portage-2.1.2.11)
media-video/ffmpeg-0.4.9_p20070616-r3 (amd64? >=sys-apps/portage-2.1.2)
media-video/mplayer-1.0_rc2_p27725-r1 (amd64? >=sys-apps/portage-2.1.2)
(mp2? >=sys-apps/portage-2.1.2)
net-dns/libidn-1.5-r1 (java? >=sys-apps/portage-2.1.2.7)
net-misc/mDNSResponder-107.6-r5 (java? >=sys-apps/portage-2.1.2.7)
sys-apps/baselayout-1.12.11.1 (>=sys-apps/portage-2.0.51)
sys-libs/db-4.5.20_p2-r1 (java? >=sys-apps/portage-2.1.2.7)
sys-libs/glibc-2.6.1 (>=sys-apps/portage-2.1.2)


I haven't got any other ideas, i hope someone out there can give me a hand to fix this. Here's my emerge --info:

Quote:
# emerge --info
Portage 2.2_rc15 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r9 i686)
=================================================================
System uname: Linux-2.6.25-gentoo-r9-i686-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-glibc2.0
Timestamp of tree: Mon, 24 Nov 2008 08:45:01 +0000
app-shells/bash: 3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python: 2.5.2-r7
dev-util/cmake: 2.4.6-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox: 1.2.18.1-r2
sys-devel/autoconf: 2.13, 2.61-r2
sys-devel/automake: 1.7.9-r1, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils: 2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool: 1.5.26
virtual/os-headers: 2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=prescott -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=prescott -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.unina.it/pub/linux/distributions/gentoo "
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="it"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/dottout /usr/portage/local/layman/desktop-effects"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl alsa berkdb bzip2 cli cracklib cups fortran gdbm gpm iconv isdnlog kde midi mmx mmxext mp3 mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre perl pppd python readline reflection sdl session spl sse ssl ssse3 sysfs tcpd truetype unicode vorbis win32codecs x264 x86 xorg xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
AllenJB
Veteran
Veteran


Joined: 02 Sep 2005
Posts: 1283
Location: Ashford, Kent

PostPosted: Mon Nov 24, 2008 9:53 am    Post subject: Reply with quote

Check the changelog (${PORTDIR}/category/package-name/Changelog). It tells you that portage 2.2 has been package.masked to allow for testing of the newly released 1.6 (which is basically portage 2.2 minus sets and preserve-libs).

If you need to continue using portage 2.2 because you're already using sets, simply unmask it in the normal way using package.unmask.
_________________
http://gentoo-wiki.com :: http://lug.org.uk :: http://www.linux.org/groups/ :: User Blogs
Back to top
View user's profile Send private message
darkscreamer
Tux's lil' helper
Tux's lil' helper


Joined: 14 Oct 2006
Posts: 134
Location: The Pirate State of Napoli

PostPosted: Mon Nov 24, 2008 10:15 am    Post subject: Reply with quote

I just needed EAPI 2 for compiz-fusion svn. I guess it should be safe to downgrade to 2.1.6. Thanks for the assistance. :)
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5362

PostPosted: Tue Nov 25, 2008 4:57 pm    Post subject: Reply with quote

Just wanted to say it would be nice if the programmers could add better messages for things like this - such as how to keep ~arch versions of Portage despite the mandated downgrade. Or even better, not mandating the downgrade, but having emerge spit out a message asking for voluntary downgrades and testing.

https://forums.gentoo.org/viewtopic-t-716008-highlight-.html is solved. Wanted to add my comment there, but didn't know I was duplicating another thread.
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Linux 'Tude Tees: http://moodytudetees.com/index.php/linux-tude-tees
Back to top
View user's profile Send private message
foolosophy
n00b
n00b


Joined: 13 Apr 2006
Posts: 50
Location: Buenos Aires, Argentina

PostPosted: Wed Nov 26, 2008 2:16 pm    Post subject: Reply with quote

Why are sets being removed from ~arch? I can easily do without them for now, but they seemed like a nice feature.


EDIT: Oh, the changelog says that sets are still "unstable". I guess that they're planning to add them later on, right? Correct me if I'm wrong.
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 6002

PostPosted: Wed Nov 26, 2008 2:28 pm    Post subject: Reply with quote

No, it's seems that's it's simply main portage dev done the hindsight thing:
in hindsight, it would have been good to KEEP portage 2.2 rc's masked while there
were 2.1 versions still in unstable, so those versions still get some testing.

Yes, that would be a good idea - IN HINDSIGHT.
The way it was done.. Well, I think it annoyed many people.

(and I really like sets, especially @installed)
Back to top
View user's profile Send private message
ArneBab
Guru
Guru


Joined: 24 Jan 2006
Posts: 380
Location: Graben-Neudorf, Germany

PostPosted: Thu Nov 27, 2008 7:28 pm    Post subject: Reply with quote

I really like the features of 2.2, so I'll stay a 2.2 tester :)

It works quite stable for me, and I don't want to miss the sets, now that I reconfigured my installation to use them.
_________________
Being unpolitical means being political without realizing it. - Arne Babenhauserheide ( http://draketo.de )

pkgcore: So fast that it feels unreal - by doing only what is needed.
Back to top
View user's profile Send private message
poly_poly-man
Advocate
Advocate


Joined: 06 Dec 2006
Posts: 2477
Location: RIT, NY, US

PostPosted: Fri Nov 28, 2008 3:56 pm    Post subject: Reply with quote

um, it really, really sucks that my nightly build stuff has not worked at all the last few nights... at first it complained that I couldn't do both system and world in the same command, then, after I changed it, that @world wasn't a real package atom, etc.

Took me a while to realize that I wasn't on 2.2 anymore...

Can we PLEASE warn people before we do something like this? How about NOT doing something like this? There's a reason there's ~arch... for testing, such as portage 2.2. Let the regulars be guinea pigs for 2.1.6... don't make the 2.2 testers go back.

Now that I know there's no major issues with 2.2 that actually warranted the masking, I'll be switching back.

kthxbai.
_________________
iVBORw0KGgoAAAANSUhEUgAAA

avatar: new version of logo - see topic 838248. Potentially still a WiP.
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 5968
Location: ~Brussels - Belgique

PostPosted: Sat Nov 29, 2008 8:29 am    Post subject: Reply with quote

I agree with you : why mask a version that worked for MONTHS ? It has no sense to say "the 2.2 RC is in fact a 2.1 that must be masked". In that case, WHY was the 2.2_rc unmasked ?

PLEASE COMMUNICATE WITH THE USERS ! At least in planet, and in the forum (I see no sticky in the "portage" section about that).
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
ArneBab
Guru
Guru


Joined: 24 Jan 2006
Posts: 380
Location: Graben-Neudorf, Germany

PostPosted: Sat Nov 29, 2008 2:58 pm    Post subject: Reply with quote

Currently we have two threads discussing almost the same.

The other one is: https://forums.gentoo.org/viewtopic.php?p=5294746

Just to avoid info replication.
_________________
Being unpolitical means being political without realizing it. - Arne Babenhauserheide ( http://draketo.de )

pkgcore: So fast that it feels unreal - by doing only what is needed.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum